Bug 237173 - audio/vgmplay: correct build on powerpc*
Summary: audio/vgmplay: correct build on powerpc*
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Piotr Kubaj
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-10 07:33 UTC by Piotr Kubaj
Modified: 2019-05-04 22:14 UTC (History)
2 users (show)

See Also:
tagattie: maintainer-feedback+


Attachments
patch (658 bytes, patch)
2019-04-10 07:33 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-04-10 07:33:58 UTC
Created attachment 203553 [details]
patch

The build process builds for little-endian by default, but powerpc* architectures are big-endian.

While here, add USES=localbase:ldflags.

Tested on powerpc64 and amd64.
Comment 1 Hiroki Tagato 2019-04-12 05:17:14 UTC
Comment on attachment 203553 [details]
patch

Thanks for the improvement. Approved.
Comment 2 commit-hook freebsd_committer 2019-05-04 22:14:51 UTC
A commit references this bug:

Author: pkubaj
Date: Sat May  4 22:14:03 UTC 2019
New revision: 500834
URL: https://svnweb.freebsd.org/changeset/ports/500834

Log:
  audio/vgmplay: correct endianness on big-endian architectures

  By default little-endian is specified, which may result in runtime issues. Set it to big-endian where needed.

  Also add USES=localbase:ldflags.

  PR:		237173
  Approved by:	tagattie@yandex.com (maintainer), linimon (mentor)
  Differential Revision:	https://reviews.freebsd.org/D19994

Changes:
  head/audio/vgmplay/Makefile